Subject: RE: [Capwap] Comments on today's meeting

From: "Saravanan Govindan" <[email-masked]>
Date: Tue, 2 Aug 2005 23:18:25 +0800

Pat,

The WiCoP authors appreciate your thoughts on WiCoP but they are
incorrect. As I mentioned earlier regarding Puneet's question, WiCoP
"does" allow for different forms of logical groups. This is included in
the descriptions of Conf-WTP-Data and its operations in Sections 5.2.2
and 6.4.1. The WiCoP tunnels mentioned in the description covers various
types of logical groups over the switching segment. 

For the case of "Identity Based Networking", WiCoP simply needs to
assign a terminal to an identity-based logical group (VLAN) over the
switching segment using the Terminal-Data message element. The
BSSID-TunnelID (now renamed to 'GroupMap-ID') provides the mapping
between logical groups over the wireless medium segment (any type of
virtual AP) and over the switching segment (any type of tunnel). 

Also, we need to remember that the Logical Groups Objective requires
that a CAPWAP protocol be able to manage in terms of consistent logical
groups - covering both the switching and wireless medium segments. So I
think WiCoP does this best given the GroupMap-ID functionality. 

Saravanan

 4. Compliance to the "Logical Groups" objective

		While I recognize that this point was raised at the last
minute, and therefore was not included in the evaluation team's review.
This recent comments raised by Richard Gee make it clear that not all
implementations comply with this objective. Specifically, most
implementations do not specify how to map locally bridged traffic on a
Local MAC approach to a specific VLAN. WiCop includes the basic
capabilities, but does not allow for "Identity Based Networking", which
is typical in most products today (meaning a user is mapped to a
specific VLAN based on its authorization information, not as a default
BSSID policy). LWAPP includes this information and is therefore in
complete compliance with the objectives.

_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Tue, 2 Aug 2005 14:16:25 -0700

Saravanan,

I was basing my information on the response during the WiCOP
presentation, so I apologize if I was incorrect. However, I read the
sections you list below and I still don't see how WiCOP provides this
function.

From my understanding, there is a Configuration Data message that is
sent from the AC to the WTP. This message may include the BSSID-TunnelID
information in the Config-WTP-Data message element, which includes a
tunnelID that I believe the AC uses for bridging purposes. However, I
believe that this information is sent to the WTP during the creation of
the SSID (I am making this assumption since it includes such information
such as beacon times). 

However, the WiCOP protocol also includes the Terminal Addition message,
which only incudes the Terminal Data message element. My understanding
is that the message is exchanged between the AC and WTP (direction
depends upon whether split or local MAC is used) when a station is being
granted access to the WTP. This message element does not include any
VLAN or TunnelID information.

So perhaps the way the protocol would work is that the AC would send a
new Conf-WTP-Data immediately followed by a Terminal-Addition message,
but if so I wonder what happens to all of the other terminals associated
with the BSSID that were assigned to a different TunnelID. I would
expect a new BSSID-TunnelID would cause all users on the BSSID to
change, no?

One more thing that I am not seeing is how the AC sends specific VLAN
information to the WTP when a terminal is granted access without any
user data tunneling. I would have expected some form of a VLAN ID in the
Terminal-Data Response, but the current spec only seems to include a
Result field.

I'm probably just missing something, so your help is appreciated.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: Saravanan Govindan [mailto:[email-masked]] 
> Sent: Tuesday, August 02, 2005 8:18 AM
> To: Pat Calhoun (pacalhou); [email-masked]
> Subject: RE: [Capwap] Comments on today's meeting
> 
> Pat,
> 
> The WiCoP authors appreciate your thoughts on WiCoP but they 
> are incorrect. As I mentioned earlier regarding Puneet's 
> question, WiCoP "does" allow for different forms of logical 
> groups. This is included in the descriptions of Conf-WTP-Data 
> and its operations in Sections 5.2.2 and 6.4.1. The WiCoP 
> tunnels mentioned in the description covers various types of 
> logical groups over the switching segment. 
> 
> For the case of "Identity Based Networking", WiCoP simply 
> needs to assign a terminal to an identity-based logical group 
> (VLAN) over the switching segment using the Terminal-Data 
> message element. The BSSID-TunnelID (now renamed to 
> 'GroupMap-ID') provides the mapping between logical groups 
> over the wireless medium segment (any type of virtual AP) and 
> over the switching segment (any type of tunnel). 
> 
> Also, we need to remember that the Logical Groups Objective 
> requires that a CAPWAP protocol be able to manage in terms of 
> consistent logical groups - covering both the switching and 
> wireless medium segments. So I think WiCoP does this best 
> given the GroupMap-ID functionality. 
> 
> Saravanan
> 
> 
>  
>  
>  
> 		While I recognize that this point was raised at 
> the last minute, and therefore was not included in the 
> evaluation team's review.
> This recent comments raised by Richard Gee make it clear that 
> not all implementations comply with this objective. 
> Specifically, most implementations do not specify how to map 
> locally bridged traffic on a Local MAC approach to a specific 
> VLAN. WiCop includes the basic capabilities, but does not 
> allow for "Identity Based Networking", which is typical in 
> most products today (meaning a user is mapped to a specific 
> VLAN based on its authorization information, not as a default 
> BSSID policy). LWAPP includes this information and is 
> therefore in complete compliance with the objectives.
>

---

From: "Saravanan Govindan" <[email-masked]>
Date: Wed, 3 Aug 2005 15:04:47 +0800

Pat,

The WiCoP Configuration Data message configures the WTP. This provides
the WTP with information on logical group establishment on the wireless
medium segment (in the current draft, 'BSSID'). I want to note that
there are different possible implementations for logical groups over the
wireless medium segment, including "identity-based". 

The Configuration Data messages then maps the logical groups over the
wireless medium segment to those over the switched segment. So for an
indentity-based logical group over the wireless medium segment, there
will be a corresponding group/tunnel over the switching segment.
BSSID-TunnelID  (now GroupMap-ID) provides the link to the tunnels (e.g.
VLANs) established by the AC. 

This covers the WTP configuration for logical groups. 

Next, for each new terminal, the WiCoP Terminal Addition message maps it
to a particular logical group over the wireless medium segment, which in
turn was earlier mapped to a corresponding logical group over the
switching segment. 

So, WiCoP does indeed comply to the Logical Groups objective in that it
allows for consistent separation of logical groups across both wireless
medium and switching segments. 

I hope this helps clarify WiCoP's operations in terms of logical groups.

Saravanan

> From: Pat Calhoun (pacalhou) [mailto:[email-masked]] 
> Sent: Wednesday, August 03, 2005 5:16 AM
> To: Saravanan Govindan; [email-masked]
> presentation, so I apologize if I was incorrect. However, I 
> read the sections you list below and I still don't see how 
> WiCOP provides this function.
> 
> From my understanding, there is a Configuration Data message 
> that is sent from the AC to the WTP. This message may include 
> the BSSID-TunnelID information in the Config-WTP-Data message 
> element, which includes a tunnelID that I believe the AC uses 
> for bridging purposes. However, I believe that this 
> information is sent to the WTP during the creation of the 
> SSID (I am making this assumption since it includes such 
> information such as beacon times). 
> 
> However, the WiCOP protocol also includes the Terminal 
> Addition message, which only incudes the Terminal Data 
> message element. My understanding is that the message is 
> exchanged between the AC and WTP (direction depends upon 
> whether split or local MAC is used) when a station is being 
> granted access to the WTP. This message element does not 
> include any VLAN or TunnelID information.
> 
> So perhaps the way the protocol would work is that the AC 
> would send a new Conf-WTP-Data immediately followed by a 
> Terminal-Addition message, but if so I wonder what happens to 
> all of the other terminals associated with the BSSID that 
> were assigned to a different TunnelID. I would expect a new 
> BSSID-TunnelID would cause all users on the BSSID to change, no?
> 
> One more thing that I am not seeing is how the AC sends 
> specific VLAN information to the WTP when a terminal is 
> granted access without any user data tunneling. I would have 
> expected some form of a VLAN ID in the Terminal-Data 
> Response, but the current spec only seems to include a Result field.
> 
> > From: Saravanan Govindan 
> [mailto:[email-masked]]
> > "does" allow for different forms of logical groups. This is 
> included 
> > in the descriptions of Conf-WTP-Data and its operations in Sections 
> > 5.2.2 and 6.4.1. The WiCoP tunnels mentioned in the 
> description covers 
> > various types of logical groups over the switching segment.
> > 
> > assign a terminal to an identity-based logical group
> > (VLAN) over the switching segment using the Terminal-Data message 
> > element. The BSSID-TunnelID (now renamed to
> > 'GroupMap-ID') provides the mapping between logical groups over the 
> > wireless medium segment (any type of virtual AP) and over the 
> > switching segment (any type of tunnel).
> > 
> requires 
> > that a CAPWAP protocol be able to manage in terms of consistent 
> > logical groups - covering both the switching and wireless medium 
> > segments. So I think WiCoP does this best given the GroupMap-ID 
> > functionality.
> > 
> > Saravanan
> > 
> > 
> >  
> >  
> >  
> the last minute, and 
> > therefore was not included in the evaluation team's review.
> > implementations comply with this objective.
> > Specifically, most implementations do not specify how to 
> map locally 
> > bridged traffic on a Local MAC approach to a specific VLAN. WiCop 
> > includes the basic capabilities, but does not allow for "Identity 
> > Based Networking", which is typical in most products today 
> (meaning a 
> > user is mapped to a specific VLAN based on its authorization 
> > information, not as a default BSSID policy). LWAPP includes this 
> > information and is therefore in complete compliance with the 
> > objectives.
> > 
>

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Wed, 3 Aug 2005 04:55:25 -0700

Saravanan,

I think I follow you up until:
> Next, for each new terminal, the WiCoP Terminal Addition message maps
it to a particular logical group over 
> the wireless medium segment, which in turn was earlier mapped to a
corresponding logical group over the 
> switching segment. 

I don't understand how the Terminal Addition message ends up creating
the mapping back to the TunnelID.

Again, I know I'm just missing something in the spec, so your patience
is appreciated.

Pat Calhoun

> Sent: Wednesday, August 03, 2005 12:05 AM
> The WiCoP Configuration Data message configures the WTP. This 
> provides the WTP with information on logical group 
> establishment on the wireless medium segment (in the current 
> draft, 'BSSID'). I want to note that there are different 
> possible implementations for logical groups over the wireless 
> medium segment, including "identity-based". 
> 
> The Configuration Data messages then maps the logical groups 
> over the wireless medium segment to those over the switched 
> segment. So for an indentity-based logical group over the 
> wireless medium segment, there will be a corresponding 
> group/tunnel over the switching segment.
> Next, for each new terminal, the WiCoP Terminal Addition 
> message maps it to a particular logical group over the 
> wireless medium segment, which in turn was earlier mapped to 
> a corresponding logical group over the switching segment. 
> 
> So, WiCoP does indeed comply to the Logical Groups objective 
> in that it allows for consistent separation of logical groups 
> across both wireless medium and switching segments. 
> 
> read the 
> > sent from the AC to the WTP. This message may include the 
> > BSSID-TunnelID information in the Config-WTP-Data message element, 
> > which includes a tunnelID that I believe the AC uses for bridging 
> > purposes. However, I believe that this information is sent 
> to the WTP 
> > during the creation of the SSID (I am making this 
> assumption since it 
> > includes such information such as beacon times).
> > 
> > However, the WiCOP protocol also includes the Terminal Addition 
> > message, which only incudes the Terminal Data message element. My 
> > understanding is that the message is exchanged between the 
> AC and WTP 
> > (direction depends upon whether split or local MAC is used) when a 
> > station is being granted access to the WTP. This message 
> element does 
> > not include any VLAN or TunnelID information.
> > 
> would send a 
> > but if so I wonder what happens to all of the other terminals 
> > associated with the BSSID that were assigned to a different 
> TunnelID. 
> > I would expect a new BSSID-TunnelID would cause all users 
> on the BSSID 
> > to change, no?
> > 
> specific VLAN 
> > user data tunneling. I would have expected some form of a 
> VLAN ID in 
> > the Terminal-Data Response, but the current spec only seems 
> to include 
> > a Result field.
> > 
> > CTO, Wireless Networking Business Unit Cisco Systems
> > 
> >  
> > 
> needs to

---

From: "Saravanan Govindan" <[email-masked]>
Date: Wed, 3 Aug 2005 22:50:14 +0800

Pat, 

The mapping to the switching segment tunnel is accomplished with the
WiCoP Configuration Data message. The Terminal Addition message assigns
terminals to that mapping. Specifically, the 'BSSID' information item of
the Terminal Addition message assigns the terminal to a logical group. 

I hope this helps.

Saravanan

> Sent: Wednesday, August 03, 2005 7:55 PM
> message maps
> I don't understand how the Terminal Addition message ends up 
> creating the mapping back to the TunnelID.
> 
> Again, I know I'm just missing something in the spec, so your 
> patience is appreciated.
> 
> Pat Calhoun
> > the WTP with information on logical group establishment on the 
> > wireless medium segment (in the current draft, 'BSSID'). I want to 
> > note that there are different possible implementations for logical 
> > groups over the wireless medium segment, including "identity-based".
> > 
> message maps 
> > it to a particular logical group over the wireless medium segment, 
> > which in turn was earlier mapped to a corresponding logical 
> group over 
> > the switching segment.
> > 
> > So, WiCoP does indeed comply to the Logical Groups 
> objective in that 
> > it allows for consistent separation of logical groups across both 
> > wireless medium and switching segments.
> >